#include <bits/stdc++.h>
using namespace std;

int BinarySearchForPositon(int n, vector<int> a, int l, int r)
{
    int p = (r + l) / 2;

    if(l == r) return l;
    else if(l < r)
    {
        if(n == a[l]) return l;
        else if(n == a[l] + 1) return l + 1;
        else if(n == a[r] - 1) return r - 1;
        else if(n >= a[p]) return BinarySearchForPositon(n, a, p, r);
        else if(n < a[p]) return BinarySearchForPositon(n, a, l + 1, p);
    }
    return -1;
}

int main()
{
    int n, q;
    vector<int> a, b, c;
    cin >> n >> q;

    for(int i = 0; i < n; i++)
    {
        int input;
        cin >> input;
        a.push_back(input);
    }
    for(int i = 0; i < q; i++)
    {
        int input;
        cin >> input;
        b.push_back(input);
    }

    sort(a.begin(), a.end());


    for(int i = 0; i < q; i++)
    {
        int med = a[n / 2], l = BinarySearchForPositon(b[i], a, 0, n);
        if(a[l] == med) c.push_back(0);
        else if((l == n / 2) && (a[l] != med)) c.push_back(2);
        else if(2 * l < n) c.push_back(n - (2 * l) - 1);
        else c.push_back(2 * l - n);
    }

    for(int i = 0; i < c.size(); i++)
    {
        cout << c[i] << endl;
    }
}